/*=======================================================*/
/*  TVQLATTR.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVqry_logattr--return TRUE if using logical attributes*/
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

int pascal TVqry_logattr(OBJECT win)
{
   static BYTE logattr_query[] = { S_QUERY(1), QS_LOGATTR } ;

   TVwin_stream(win,logattr_query) ;
   return (logattr_query[4] == QS_LOGATTR) ;
}

/* End of TVQLATTR.C */
